<template>
  <div>
    <van-dialog v-model="show" :before-close="beforeClose">
      <van-field v-model="password" type="password" label="Unlock"/>
    </van-dialog>
  </div>
</template>

<script>
import { mapGetters } from "vuex";
import { CREATE_DID, basePath } from "./actions";

export default {
  name: "Restore",
  data() {
    return {
      show: true,
      password: ""
    };
  },
  methods: {
    async beforeClose(action, done) {
      try {
        await this.$store.dispatch(basePath(CREATE_DID), {
          password: this.password
        });
        this.$router.push({ path: "/dashboard" });
        done();
      } catch (error) {
        console.log(error);
      }
    },
    async skipInput() {
      if (process.env.NODE_ENV === "development") {
        try {
          await this.$store.dispatch(basePath(CREATE_DID), {
            password: "666"
          });
          this.$router.push({ path: "/dashboard" });
        } catch (error) {
          console.log(error);
        }
      }
    }
  },
  created() {
    this.skipInput();
  },
  destroyed() {}
};
</script>
